(ns lu-preprocessing.generator-test
  (:require [clojure.test :refer :all]
            [lu-preprocessing.generator :refer :all]))


;;; tests

(deftest region-to-neighbours=test
  (testing "Neighbour regions should be evaluated from the GIS data."
    (
     ; Act
     let [content
          (region-to-neighbours "region.asc"
                                ["ncols 6"
                                 "nrows 10"
                                 "xllcorner 1.0"
                                 "yllcorner 2.0"
                                 "cellsize 200.0"
                                 "NODATA_value NA"
                                 "0 0 0 NA 0 1"
                                 "2 2 2 3 0 0"
                                 "NA NA NA NA NA NA"
                                 "NA 4 NA NA NA NA"
                                 "NA NA NA NA NA NA"
                                 "5 5 5 5 5 5"
                                 "5 5 5 5 5 5"
                                 "3 3 3 3 3 5"
                                 "3 3 3 3 3 0"
                                 "6 NA NA NA NA NA"])]

       ; Assert
       (is (= content
              {"region-neighbours.csv"
               '(["id" "n1" "n2" "n3" "n4"]
                 ["0" "1" "2" "3" "5"]
                 ["1" "0" "" "" ""]
                 ["2" "0" "3" "" ""]
                 ["3" "0" "2" "5" "6"]
                 ["4" "" "" "" ""]
                 ["5" "0" "3" "" ""]
                 ["6" "3" "" "" ""])})))))
