(ns lu-rescaling.reader-test
  (:require [clojure.test :refer :all]
            [lu-rescaling.reader :refer :all]))


;;; tests

(deftest parse-maps-test
  (testing ".asc files from the folder should be parsed"
    (
     ; Act
     let [data (parse-maps "test/lu_rescaling/test_folder1")]

       ; Assert
       (is (= data
              {"file1.asc"
               {0.0 {1 [0 1 2 3 4]
                     2 [0 2]}
                1.0 {0 [1 3]
                     2 [3]
                     3 [0 1]}
                2.0 {0 [2]}}
               "file2.asc"
               {1.0 {0 [1 2 3]
                     1 [0 1 2 3 4]
                     2 [0 2 3]
                     3 [0 1]}}})))))

(deftest parse-region-map-test
  (testing "Region ids should be parsed as integers"
    (
     ; Act
     let [data (parse-region-map "test/lu_rescaling/region.asc")]

       ; Assert
       (is (= data
              {"region.asc"
               {1 {0 [1 2 3]
                   2 [3]
                   3 [0 1]}
                2 {1 [0 1 2 3 4]
                   2 [0 2]}}})))))
