(ns utilities.file
  (:require [clojure.java.io :as io]))


;;; public methods

(defn walk
  "Walks through the folder files which match the specified pattern.

  Arguments: folder
             pattern

  Returns Java file objects for the files in the [folder],
  whose name matches [pattern].

  ## Usage

      (require '[utilities.file :refer :all])

      (walk source-folder #\".*\\.asc\")

  "
  [folder pattern]
  (->> (io/file folder)
       file-seq
       (filter #(re-matches pattern (.getName %)))
       doall))
